#!/usr/bin/python
# Authors:
#     Endi S. Dewata <edewata@redhat.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Copyright (C) 2015 Red Hat, Inc.
# All rights reserved.
#

import pki.cli
import pki.server.cli.cert
import pki.server.cli.config
import pki.server.cli.group
import pki.server.cli.user


class CACLI(pki.cli.CLI):

    def __init__(self):
        super(CACLI, self).__init__('ca', 'CA management commands')

        self.add_module(pki.server.cli.cert.CertCLI())
        self.add_module(pki.server.cli.config.ConfigCLI())
        self.add_module(pki.server.cli.group.GroupCLI())
        self.add_module(pki.server.cli.user.UserCLI())
